{% extends "base/baseadmin.html" %}

{% block title %}Lista de transportes{% endblock title %}

{% block content %}
<tr>
    <div class="container text-center">
        <h1>Lista de transportes:</h1>
        <a href="{% url 'core:transporte_create' %}" class="btn btn-outline-dark form-control">Añade un nuevo transporte</a>
    
      
    
        <style>
          /* Aplicar color blanco al texto dentro de la tabla */
          .table.text-white td,
          .table.text-white th {
            color: white;
          }
        </style>
    
        <table class="table table-striped table-hover text-white mt-3">
            <thead>
            <th>Número del transporte</th>
            <th>Matrícula</th>
            <th>Disponibilidad</th>
            <th></th>
                <th>Acciones</th>
            <th></th>
            

        </thead>
        <tbody>
            {% for Transportes in transporte %}  
                <tr>
                    <td>{{ Transportes.notransporte }}</td>
                    <td>{{ Transportes.matricula }}</td>
                    <td>{{ Transportes.disponibilidad}}</td>
                    <td><a href="{% url 'core:transporte_detail' Transportes.notransporte %}" class="btn btn-outline-light"> Detalles </a></td>
                    <td><a href="{% url 'core:transporte_update' Transportes.notransporte %}" class="btn btn-outline-light"> Actualizar </a></td>
                    <td><a href="{% url 'core:transporte_delete' Transportes.notransporte %}" class="btn btn-outline-light"> Eliminar </a></td>

                </tr>
            {% endfor %}
        </tbody>
        
    </table>
</div>
{% endblock content %}